> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/external-chat-api/reference/endpoints/change-takeover-state.md).

# Change takeover state

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

**Request**

```
PATCH chat/conversations/{id}/takeover
```

**Request body**

```json
{
    "assigneeId": null,
    "isAssignedToBot": true
}
```

| Field           | Type          | Comments                                                           |
| --------------- | ------------- | ------------------------------------------------------------------ |
| assigneeId      | nullable guid | Agent unique id assigned to conversation during takeover. Optional |
| isAssignedToBot | boolean       | If `false` starts takeover mode to conversation                    |

**Response**

```json
{
    "data": {
        "isAssignedToBot": true
    },
    "errorCode": -1,
    "errorText": null
}
```

The `Data` field contains an [Conversation takeover](/docs/apis/external-chat-api/reference/objects/conversation-takeover.md) type.
